GNUNET-GNS-PROXY(1)

NAME
gnunet-gns-proxy - run a client-side GNS SOCKS proxy

SYNOPSIS
gnunet-gns-proxy [-c FILENAME | --config=FILENAME] [-a AUTHORITY | --authority=AUTHORITY] [-p PORT | --port=PORT] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-v | --version]

DESCRIPTION
Most users will want to run this SOCKS proxy. It can be used in combination with browsers that support the SOCKS 4a protocol.

The proxy will perform SSL authentication of GNS names and rewrite GNS enabled HTML content. To assert the validity of GNS names a local root CA certificate has to be generated that is used by the proxy. Thus "gnunet-gns-proxy-setup-ca" should be executed before the first launch of this proxy or the --authority switch is used to specify an appropriate CA certificate that is already trusted by the browser.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-a AUTHORITY | --authority=AUTHORITY
    Path to a PEM CA file that contains the certificate and private key of the CA to use to assert the validity of GNS names. The default port is specified in the configuration file for the gns service under "[gns-proxy]": "[gns-proxy]" PROXY_CACERT

-p PORT | --port=PORT
    The port this proxy should listen on. Default is 7777.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v | --version
    Print GNUnet version number.

SEE ALSO
gnunet-gns(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.